ChiliProject - Feature # 1281: Show issue dependencies in Gantt chart

Status: Closed Priority: Normal

Author: Daniel F. Category: Gantt chart

Created: 2013-07-02 Assignee:

Updated: 2013-07-06 Due date:

Remote issue URL:

Affected version: 3.8.0

Description: Issues that are linked to each other are displayed in the Gantt chart just like all others. There is no arrow

emphasizing the relation.
If the link describes blocking or the order of execution, the Gantt chart should plot the start of the blocked
issue after the blocking one.

History

2013-07-02 03:54 pm - Chris Déhn

You can use the "Better gantt chart" plugin for this -> this plugin does more advanced sorting and displays arrows between linked issues..
https://github.com/kulesa/redmine_better_gantt_chart
But: Often you get some issues with "gem version not supported / defined twice" or so... here you have to fix the Gem:

@vendor/plugins/redmine_better_gantt_chart/Gemfile@
by simply removing the lines with the conflicting gems and running "bundle install" again.

2013-07-02 04:02 pm - Chris Dahn
- Status changed from Open to Closed

Side note: Eventually it's better in the future to integrate the issue sorting, extended relation handling and displaying issue relations by arrows directly
into the core.

Currently Gunter and | are working on this (as patch and as plugin) for the topic editable gantt charts - see: #1277

2013-07-06 08:28 pm - Mischa The Evil

- Target version deleted (3.9.0)

Clearing target version property to prevent cluttering up of the roadmap.
